Jump to content

ZLIB not found CMAKE


  • Please log in to reply
2 replies to this topic

#1
falconmick

falconmick

    InsanelyMac Protégé

  • Members
  • Pip
  • 3 posts
I am attempting for the first time ever to develope on mac.. I have experience in Windows and Linux and also using cmake GUI on windows and console on Linux.. I was starting to use CMAKE to build SFML 2.0 and ran into a little problem:

The C compiler identification is Clang 4.1.0
The CXX compiler identification is Clang 4.1.0
Check for working C compiler using: Xcode
Check for working C compiler using: Xcode -- works
Detecting C compiler ABI info
Detecting C compiler ABI info - done
Check for working CXX compiler using: Xcode
Check for working CXX compiler using: Xcode -- works
Detecting CXX compiler ABI info
Detecting CXX compiler ABI info - done
Found OpenGL: /System/Library/Frameworks/OpenGL.framework
Found Freetype: /usr/X11R6/lib/libfreetype.dylib (found version "2.4.4")
Found GLEW: /Users/falconmick/Documents/SFML2 src/extlibs/libs-osx/lib/libGLEW.a
Found JPEG: /Users/falconmick/Documents/SFML2 src/extlibs/libs-osx/lib/libjpeg.a
CMake Error at /Applications/CMake 2.8-10.app/Contents/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:97 (message):
Could NOT find ZLIB (missing: ZLIB_INCLUDE_DIR)
Call Stack (most recent call first):
/Applications/CMake 2.8-10.app/Contents/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:291 (_FPHSA_FAILURE_MESSAGE)
/Applications/CMake 2.8-10.app/Contents/share/cmake-2.8/Modules/FindZLIB.cmake:85 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
src/SFML/Graphics/CMakeLists.txt:85 (find_package)


CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
OPENGL_INCLUDE_DIR (ADVANCED)
used as include directory in directory /Users/falconmick/Documents/SFML2 src/src/SFML/Window

Configuring incomplete, errors occurred!

Which pretty much means, it can't find zlib... Usually I would just go guns blazing and try to fix this myself, but, zlib doesn't have an installer, you manually compile and install it yourself, AND this is the first time for me using a mac pretty much ever (except for helping my sister out on her laptop) so I'm a little bit weary of trying to smash the mac till it works..

has anyone ever had this problem or understand how to fix? I just don't want to do something wrong and blow my mac up

also, how would I fix the OPENGL_INCLUDE_DIR problem

#2
djohnsto77

djohnsto77

    InsanelyMac Protégé

  • Members
  • Pip
  • 37 posts

IIRC, Apple for some reason removed zlib from the standard distribution. Either copy zlib.dylib from an older version (I don't remember the last one that has it) or better yet just build it yourself. To build just go to http://www.zlib.net  and download. Make sure you have the latest version of Xcode and the Xcode command line tools installed.



#3
necrophagous

necrophagous

    InsanelyMac Protégé

  • Members
  • PipPip
  • 66 posts
  • Gender:Male
  • Location:3rd World Country

or just take zlib from homebrew 







0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users

© 2014 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy